net.sf.jasperreports.engine.convert

## Class ConvertChartContext

- java.lang.Object
- - net.sf.jasperreports.engine.convert.ConvertChartContext

- All Implemented Interfaces:
    ChartContext

      public class ConvertChartContext
      extends java.lang.Object
      implements ChartContext

  Version:
    $Id: ConvertChartContext.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ConvertChartContext(JRChart chart)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `evaluateExpression(JRExpression expression)`
    `java.lang.String` | `evaluateTextExpression(JRExpression expression)`
    `JRChart` | `getChart()`
    `org.jfree.data.general.Dataset` | `getDataset()`
    `JasperReportsContext` | `getJasperReportsContext()`
    `java.lang.Object` | `getLabelGenerator()`
    `java.util.Locale` | `getLocale()`
    `java.util.TimeZone` | `getTimeZone()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConvertChartContext

          protected ConvertChartContext(JRChart chart)

  - ### Method Detail

    - #### getJasperReportsContext

          public JasperReportsContext getJasperReportsContext()

      Specified by:
        `getJasperReportsContext` in interface `ChartContext`

    - #### evaluateTextExpression

          public java.lang.String evaluateTextExpression(JRExpression expression)
                                                  throws JRException

      Specified by:
        `evaluateTextExpression` in interface `ChartContext`
      Throws:
        `JRException`

    - #### evaluateExpression

          public java.lang.Object evaluateExpression(JRExpression expression)
                                              throws JRException

      Specified by:
        `evaluateExpression` in interface `ChartContext`
      Throws:
        `JRException`

    - #### getChart

          public JRChart getChart()

      Specified by:
        `getChart` in interface `ChartContext`

    - #### getDataset

          public org.jfree.data.general.Dataset getDataset()

      Specified by:
        `getDataset` in interface `ChartContext`

    - #### getLabelGenerator

          public java.lang.Object getLabelGenerator()

      Specified by:
        `getLabelGenerator` in interface `ChartContext`

    - #### getLocale

          public java.util.Locale getLocale()

      Specified by:
        `getLocale` in interface `ChartContext`

    - #### getTimeZone

          public java.util.TimeZone getTimeZone()

      Specified by:
        `getTimeZone` in interface `ChartContext`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com